Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596296 - Make /usr/share/rh-rhua/rhui-debug.py available on CDSes as well
Summary: Make /usr/share/rh-rhua/rhui-debug.py available on CDSes as well
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Tools
Version: 3.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 3.0.5
: 3.0.x
Assignee: Martin Minar
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On:
Blocks: 1614954 1654309 1596494 1596496
TreeView+ depends on / blocked
 
Reported: 2018-06-28 14:34 UTC by Radek Bíba
Modified: 2019-03-07 15:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-05 17:04:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2649 None None None 2018-09-05 17:04:51 UTC

Description Radek Bíba 2018-06-28 14:34:19 UTC
Description of problem:
/usr/share/rh-rhua/rhui-debug.py, which is the script that sos uses to collect config and log files from RHUI, is currently packaged in rh-rhui-tools. This package doesn't get installed on CDS nodes, however, which means that it's impossible to get config and log files from there (unless you copy the file there yourself).

Let's not install rh-rhui-tools on CDSes; that's not where this package belongs. Instead, I see two options:

1 - move the script to rh-rhui-tools-libs; this package gets installed on both RHUA and CDS nodes
2 - create a separate package just for this script and modify the puppet files to install that package on RHUA and CDS nodes; there actually was such a package in RHUI 2:

$ rpm -ql rh-rhui-tools-debug-script
/usr/share/rh-rhua/rhui-debug.py
/usr/share/rh-rhua/rhui-debug.pyc
/usr/share/rh-rhua/rhui-debug.pyo
$ rpm -qi rh-rhui-tools-debug-script
Name        : rh-rhui-tools-debug-script   Relocations: (not relocatable)
Version     : 2.1.42                            Vendor: Red Hat, Inc.
Release     : 1.el6                         Build Date: Tue 21 Mar 2017 09:25:50 AM EDT
Install Date: Fri 25 May 2018 06:21:34 AM EDT      Build Host: x86-041.build.eng.bos.redhat.com
Group       : Applications/Internet         Source RPM: rh-rhui-tools-2.1.42-1.el6.src.rpm
Size        : 9993                             License: GPLv2
Signature   : RSA/8, Tue 21 Mar 2017 11:56:36 AM EDT, Key ID 199e2f91fd431d51
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://redhat.com
Summary     : Debug gathering script for RHUI.
Description :
Debug gathering script for RHUI.

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=1591027#c7

Comment 6 errata-xmlrpc 2018-09-05 17:04:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2649


Note You need to log in before you can comment on or make changes to this bug.